Summary:   A KDE service menu to convert MIDI files to WAV/OGG/MP3
Name:      konq-plugins-midi
Version:   1
Release:   %mkrel 8
Source0:   %name.tar.xz
License:   GPLv2
# This URL is no longer valid
Url:       http://jjorge.free.fr/blog/index.php/2011/03/27/24-convertri-un-fichier-midi-en-mp3-avec-linux
Group:     Graphical desktop/KDE
Requires:  TiMidity++
Recommends:  lame
BuildRequires: kde4-macros
BuildArch: noarch

%description
This module gives right click MIDI file conversion to Dolphin and Konqueror

%prep
%setup -q -n %{name}/

%build

%install
mkdir -p %{buildroot}/%{_kde_bindir}
mv midi2mp3 %{buildroot}/%{_kde_bindir}
mkdir -p %{buildroot}/%_kde_services/ServiceMenus/
mv midiconverter.desktop %{buildroot}/%_kde_services/ServiceMenus/

%files
%_kde_bindir/*
%_kde_services/ServiceMenus/*.desktop



%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1-8.mga9
+ Revision: 1810790
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1-7.mga8
+ Revision: 1511518
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1-6.mga7
+ Revision: 1263617
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1-5.mga6
+ Revision: 941721
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1-4.mga5
+ Revision: 745954
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1-3.mga5
+ Revision: 681169
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 1-2.mga4
+ Revision: 526346
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 zezinho <zezinho> 1-1.mga4
+ Revision: 436734
- imported package konq-plugins-midi


* Mon Mar 28 2011 José Jorge <jjorge@free.fr> 1abd
- first release

